| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ResultCodeStruct Struct Reference
Common Definitions

Result Code structure. More...

`#include <osv-if-doc.h>`

## Public Attributes
int | ResultCode
| The Result Code of the request. More...
int | ResultMsgNumber
xsd__dateTime | ResultTOY
| The date and time that the request was processed. More...
char * | JobId
| The spawned Background Job ID, in case the request is processed in the background with an asynchronous job. More...
char * | ResultText1
| Contains the description of the specific error. More...
char * | ResultText2
| Contains the label of the field that was in error. More...
char * | ResultText3
| Contains the value that was in error or the label of the field that was in conflict. More...
char * | ResultText4
| Contains additional label that may be in error. More...
char * | ResultText5
| Contains any internal error information. More...
char * | ResultWarning
| Contains any warning information. More...

## Detailed Description

Result Code structure.

Holds the detailed information about the outcome of a specific request.

## Member Data Documentation

## ◆ JobId

char* unsp__ResultCodeStruct::JobId

The spawned Background Job ID, in case the request is processed in the background with an asynchronous job.

## ◆ ResultCode

int unsp__ResultCodeStruct::ResultCode

The Result Code of the request.

All error codes are eight digits long. The most significant digit (the first digit) is the category. The next two digits identify the object. The fourth and fifth digits are the sub-object. Digits six to eight represent the specific error. With this numbering scheme, we support 10 categories, 99 objects, 99 sub-objects for each object, and 999 unique return codes for each object/ sub-object. The following categories are defined:

- Code: 1 (DB): Database errors.
- Code: 2 (SYS): System errors (memory errors, file access)
- Code: 3 (APP): An error detected in the client request or the request is invalid for the current state of the system objects.
- Code: 9 (INT): Internal errors. In some cases, the objects being accessed may have been left in a corrupted state.

## ◆ ResultMsgNumber

int unsp__ResultCodeStruct::ResultMsgNumber

Deprecated:
  NA

## ◆ ResultText1

char* unsp__ResultCodeStruct::ResultText1

Contains the description of the specific error.

If no error (ReturnCode=0), then "Success" is returned.

## ◆ ResultText2

char* unsp__ResultCodeStruct::ResultText2

Contains the label of the field that was in error.

## ◆ ResultText3

char* unsp__ResultCodeStruct::ResultText3

Contains the value that was in error or the label of the field that was in conflict.

## ◆ ResultText4

char* unsp__ResultCodeStruct::ResultText4

Contains additional label that may be in error.

## ◆ ResultText5

char* unsp__ResultCodeStruct::ResultText5

Contains any internal error information.

## ◆ ResultTOY

xsd__dateTime unsp__ResultCodeStruct::ResultTOY

The date and time that the request was processed.

## ◆ ResultWarning

char* unsp__ResultCodeStruct::ResultWarning

Contains any warning information.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h